# Uses of Class
org.eclipse.jface.text.templates.Template

Packages that use Template
Package
Description
org.eclipse.jface.text.templates
Application programming interfaces for interaction with the Eclipse text template support.
org.eclipse.jface.text.templates.persistence
Provides persistence support for templates.
org.eclipse.ui.texteditor.templates
Application programming interfaces for interaction with the Eclipse text editor template support.

## Uses of Template in org.eclipse.jface.text.templates

Methods in org.eclipse.jface.text.templates that return Template
Modifier and Type
Method
Description
`protected final Template`
TemplateProposal.`getTemplate()`
Returns the template of this proposal.
`protected abstract Template[]`
TemplateCompletionProcessor.`getTemplates(String contextTypeId)`
Returns the templates valid for the context type specified by `contextTypeId`.
Methods in org.eclipse.jface.text.templates with parameters of type Template
Modifier and Type
Method
Description
`boolean`
DocumentTemplateContext.`canEvaluate(Template template)`
`abstract boolean`
TemplateContext.`canEvaluate(Template template)`
Tests if the specified template can be evaluated in this context.
`protected ICompletionProposal`
TemplateCompletionProcessor.`createProposal(Template template, TemplateContext context, IRegion region, int relevance)`
Creates a new proposal.
`protected ICompletionProposal`
TemplateCompletionProcessor.`createProposal(Template template, TemplateContext context, Region region, int relevance)`
Deprecated.
use the version specifying `IRegion` as third parameter
`TemplateBuffer`
DocumentTemplateContext.`evaluate(Template template)`
`abstract TemplateBuffer`
TemplateContext.`evaluate(Template template)`
Evaluates the template in this context and returns a template buffer.
`protected abstract Image`
TemplateCompletionProcessor.`getImage(Template template)`
Returns the image to be used for the proposal for `template`.
`protected int`
TemplateCompletionProcessor.`getRelevance(Template template, String prefix)`
Returns the relevance of a template given a prefix.
`TemplateBuffer`
TemplateTranslator.`translate(Template template)`
Translates a template to a `TemplateBuffer`.
Constructors in org.eclipse.jface.text.templates with parameters of type Template
Modifier
Constructor
Description
``
`Template(Template template)`
Creates a copy of a template.
``
`TemplateProposal(Template template, TemplateContext context, IRegion region, Image image)`
Creates a template proposal with a template and its context.
``
`TemplateProposal(Template template, TemplateContext context, IRegion region, Image image, int relevance)`
Creates a template proposal with a template and its context.

## Uses of Template in org.eclipse.jface.text.templates.persistence

Methods in org.eclipse.jface.text.templates.persistence that return Template
Modifier and Type
Method
Description
`Template`
TemplatePersistenceData.`getTemplate()`
Deprecated.
Methods in org.eclipse.jface.text.templates.persistence with parameters of type Template
Modifier and Type
Method
Description
`void`
TemplatePersistenceData.`setTemplate(Template template)`
Deprecated.
Constructors in org.eclipse.jface.text.templates.persistence with parameters of type Template
Modifier
Constructor
Description
``
`TemplatePersistenceData(Template template, boolean enabled)`
Deprecated.
``
`TemplatePersistenceData(Template template, boolean enabled, String id)`
Deprecated.

## Uses of Template in org.eclipse.ui.texteditor.templates

Methods in org.eclipse.ui.texteditor.templates that return Template
Modifier and Type
Method
Description
`protected Template`
AbstractTemplatesPage.`editTemplate(Template template, boolean edit, boolean isNameModifiable)`
Creates and opens a dialog to edit the given template.
`protected Template`
TemplatePreferencePage.`editTemplate(Template template, boolean edit, boolean isNameModifiable)`
Creates the edit dialog.
`Template`
TemplatePreferencePage.EditTemplateDialog.`getTemplate()`
Returns the created template.
Methods in org.eclipse.ui.texteditor.templates with parameters of type Template
Modifier and Type
Method
Description
`protected Dialog`
TemplatePreferencePage.`createTemplateEditDialog(Template template, boolean edit, boolean isNameModifiable)`
Deprecated.
not called any longer as of 3.1 - use `TemplatePreferencePage.editTemplate(Template, boolean, boolean)`
`protected Template`
AbstractTemplatesPage.`editTemplate(Template template, boolean edit, boolean isNameModifiable)`
Creates and opens a dialog to edit the given template.
`protected Template`
TemplatePreferencePage.`editTemplate(Template template, boolean edit, boolean isNameModifiable)`
Creates the edit dialog.
`protected Image`
AbstractTemplatesPage.`getImage(Template template)`
Returns the image to be used for the given template.
`protected abstract void`
AbstractTemplatesPage.`insertTemplate(Template template, IDocument document)`
Inserts the given template into the editor.
`protected abstract boolean`
AbstractTemplatesPage.`isValidTemplate(IDocument document, Template template, int offset, int length)`
Checks whether the given template is valid for the document at the given offset and length.
`protected void`
AbstractTemplatesPage.`updatePatternViewer(Template template)`
Update the pattern viewer to show the current template.
Constructors in org.eclipse.ui.texteditor.templates with parameters of type Template
Modifier
Constructor
Description
``
`EditTemplateDialog(Shell parent, Template template, boolean edit, boolean isNameModifiable, ContextTypeRegistry registry)`
Creates a new dialog.